## r-bioc-htsfilter 1.28.0

=== DESCRIPTION ===
Package: HTSFilter
Type: Package
Title: Filter replicated high-throughput transcriptome sequencing data
Version: 1.28.0
Date: 2020-01-14
Author: Andrea Rau, Melina Gallopin, Gilles Celeux, and Florence
    Jaffrezic
Maintainer: Andrea Rau <andrea.rau@inrae.fr>
Depends: R (>= 3.4)
Imports: edgeR (>= 3.9.14), DESeq2 (>= 1.10.1), DESeq (>= 1.22.1),
        BiocParallel (>= 1.4.3), Biobase, utils, stats, grDevices,
        graphics, methods
Suggests: EDASeq (>= 2.1.4), BiocStyle, testthat
Description: This package implements a filtering procedure for
    replicated transcriptome sequencing data based on a global
    Jaccard similarity index in order to identify genes with low,
    constant levels of expression across one or more experimental
    conditions.
License: Artistic-2.0
LazyLoad: yes
biocViews: Sequencing, RNASeq, Preprocessing, DifferentialExpression,
        GeneExpression, Normalization, ImmunoOncology
RoxygenNote: 6.1.1
git_url: https://git.bioconductor.org/packages/HTSFilter
git_branch: RELEASE_3_11
git_last_commit: 02de17d
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
NeedsCompilation: no
Packaged: 2020-04-28 00:49:54 UTC; biocbuild

=== debian/changelog ===
r-bioc-htsfilter (1.28.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:08:44 +0000

r-bioc-htsfilter (1.28.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Thu, 21 May 2020 13:02:12 +0200

r-bioc-htsfilter (1.26.0-2) unstable; urgency=medium

  * Team upload.
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Mon, 27 Apr 2020 08:29:45 +0200

r-bioc-htsfilter (1.26.0-1) unstable; urgency=medium

  * Initial release (closes: #958560)

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Fri, 10 Apr 2020 01:54:23 +0530

=== debian/control ===
Source: r-bioc-htsfilter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Pranav Ballaney <ballaneypranav@gmail.com>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-bioc-edger (>= 3.9.14),
               r-bioc-deseq2,
               r-bioc-deseq,
               r-bioc-biocparallel (>= 1.4.3),
               r-bioc-biobase
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-htsfilter
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-htsfilter.git
Homepage: https://bioconductor.org/packages/HTSFilter/
Rules-Requires-Root: no

Package: r-bioc-htsfilter
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R filter replicated high-throughput transcriptome sequencing data
 This package implements a filtering procedure for
 replicated transcriptome sequencing data based on a global
 Jaccard similarity index in order to identify genes with low,
 constant levels of expression across one or more experimental
 conditions.

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/HTSFilter.html .*/HTSFilter_(.*).tar.gz

## r-bioc-htsfilter 1.30.1%2Bdfsg

=== DESCRIPTION ===
Package: HTSFilter
Type: Package
Title: Filter replicated high-throughput transcriptome sequencing data
Version: 1.30.1
Date: 2020-12-16
Authors@R: c(
  person(given="Andrea", 
         family="Rau", 
         email="andrea.rau@inrae.fr", 
         role=c("cre", "aut"), 
         comment = c(ORCID = "0000-0001-6469-488X")),
  person(given="Melina",
         family="Gallopin",
         role="ctb"),
  person(given="Gilles",
         family="Celeux",
         role="ctb"),
  person(given="Florence",
         family="Jaffrézic",
         role="ctb"))
Depends: R (>= 4.0)
Imports: edgeR, DESeq2, BiocParallel, Biobase, utils, stats, grDevices,
        graphics, methods
Suggests: EDASeq, testthat, knitr, rmarkdown, BiocStyle
Description: This package implements a filtering procedure for
    replicated transcriptome sequencing data based on a global
    Jaccard similarity index in order to identify genes with low,
    constant levels of expression across one or more experimental
    conditions.
License: Artistic-2.0
LazyLoad: yes
biocViews: Sequencing, RNASeq, Preprocessing, DifferentialExpression,
        GeneExpression, Normalization, ImmunoOncology
RoxygenNote: 7.1.1
VignetteBuilder: knitr
Encoding: UTF-8
git_url: https://git.bioconductor.org/packages/HTSFilter
git_branch: RELEASE_3_12
git_last_commit: e4979de
git_last_commit_date: 2020-12-16
Date/Publication: 2020-12-16
NeedsCompilation: no
Packaged: 2020-12-17 01:00:13 UTC; biocbuild
Author: Andrea Rau [cre, aut] (<https://orcid.org/0000-0001-6469-488X>),
  Melina Gallopin [ctb],
  Gilles Celeux [ctb],
  Florence Jaffrézic [ctb]
Maintainer: Andrea Rau <andrea.rau@inrae.fr>

## r-bioc-htsfilter 1.30.1+dfsg

=== debian/changelog ===
r-bioc-htsfilter (1.30.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jan 2021 19:48:51 +0100

r-bioc-htsfilter (1.30.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 04 Nov 2020 13:51:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-bioc-htsfilter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Pranav Ballaney <ballaneypranav@gmail.com>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-edger (>= 3.9.14),
@@ -13,7 +12,7 @@
                r-bioc-deseq,
                r-bioc-biocparallel (>= 1.4.3),
                r-bioc-biobase
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-htsfilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-htsfilter.git
 Homepage: https://bioconductor.org/packages/HTSFilter/

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/HTSFilter.html .*/HTSFilter_(.*).tar.gz

## r-bioc-htsfilter 1.34.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: HTSFilter
 Type: Package
 Title: Filter replicated high-throughput transcriptome sequencing data
-Version: 1.30.1
-Date: 2020-12-16
+Version: 1.34.0
+Date: 2020-12-04
 Authors@R: c(
   person(given="Andrea", 
          family="Rau", 
@@ -18,7 +18,7 @@
   person(given="Florence",
          family="Jaffrézic",
          role="ctb"))
-Depends: R (>= 4.0)
+Depends: R (>= 4.0.0)
 Imports: edgeR, DESeq2, BiocParallel, Biobase, utils, stats, grDevices,
         graphics, methods
 Suggests: EDASeq, testthat, knitr, rmarkdown, BiocStyle
@@ -35,12 +35,12 @@
 VignetteBuilder: knitr
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/HTSFilter
-git_branch: RELEASE_3_12
-git_last_commit: e4979de
-git_last_commit_date: 2020-12-16
-Date/Publication: 2020-12-16
+git_branch: RELEASE_3_14
+git_last_commit: 5abf134
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2020-12-17 01:00:13 UTC; biocbuild
+Packaged: 2021-10-26 21:40:32 UTC; biocbuild
 Author: Andrea Rau [cre, aut] (<https://orcid.org/0000-0001-6469-488X>),
   Melina Gallopin [ctb],
   Gilles Celeux [ctb],

## r-bioc-htsfilter 1.34.0+dfsg

=== debian/changelog ===
r-bioc-htsfilter (1.34.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 26 Nov 2021 14:11:12 +0100

r-bioc-htsfilter (1.32.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 14 Sep 2021 12:47:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-edger (>= 3.9.14),
+               r-bioc-edger,
                r-bioc-deseq2,
-               r-bioc-deseq,
-               r-bioc-biocparallel (>= 1.4.3),
+               r-bioc-biocparallel,
                r-bioc-biobase
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-htsfilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-htsfilter.git
 Homepage: https://bioconductor.org/packages/HTSFilter/

## r-bioc-htsfilter 1.36.0+dfsg

=== debian/changelog ===
r-bioc-htsfilter (1.36.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 07:41:41 +0200

## r-bioc-htsfilter 1.38.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: HTSFilter
 Type: Package
 Title: Filter replicated high-throughput transcriptome sequencing data
-Version: 1.34.0
+Version: 1.38.0
 Date: 2020-12-04
 Authors@R: c(
   person(given="Andrea", 
@@ -35,12 +35,12 @@
 VignetteBuilder: knitr
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/HTSFilter
-git_branch: RELEASE_3_14
-git_last_commit: 5abf134
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_16
+git_last_commit: fdc6147
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2021-10-26 21:40:32 UTC; biocbuild
+Packaged: 2022-11-01 21:47:44 UTC; biocbuild
 Author: Andrea Rau [cre, aut] (<https://orcid.org/0000-0001-6469-488X>),
   Melina Gallopin [ctb],
   Gilles Celeux [ctb],

=== debian/changelog ===
r-bioc-htsfilter (1.38.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2022 09:32:07 +0100

r-bioc-htsfilter (1.38.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Nov 2022 07:27:04 +0100

## r-bioc-htsfilter 1.38.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-htsfilter
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Pranav Ballaney <ballaneypranav@gmail.com>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-htsfilter
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-htsfilter.git
+Homepage: https://bioconductor.org/packages/HTSFilter/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,11 +15,7 @@
                r-bioc-deseq2,
                r-bioc-biocparallel,
                r-bioc-biobase
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-htsfilter
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-htsfilter.git
-Homepage: https://bioconductor.org/packages/HTSFilter/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-htsfilter
 Architecture: all

## r-bioc-htsfilter 1.40.0+dfsg

=== debian/changelog ===
r-bioc-htsfilter (1.40.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 17:35:56 +0200

## r-bioc-htsfilter 1.42.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: HTSFilter
 Type: Package
 Title: Filter replicated high-throughput transcriptome sequencing data
-Version: 1.38.0
+Version: 1.42.0
 Date: 2020-12-04
 Authors@R: c(
   person(given="Andrea", 
@@ -35,12 +35,12 @@
 VignetteBuilder: knitr
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/HTSFilter
-git_branch: RELEASE_3_16
-git_last_commit: fdc6147
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_18
+git_last_commit: ca57c53
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2022-11-01 21:47:44 UTC; biocbuild
+Packaged: 2023-10-24 21:35:16 UTC; biocbuild
 Author: Andrea Rau [cre, aut] (<https://orcid.org/0000-0001-6469-488X>),
   Melina Gallopin [ctb],
   Gilles Celeux [ctb],

## r-bioc-htsfilter 1.42.0+dfsg

=== debian/changelog ===
r-bioc-htsfilter (1.42.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 17:57:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-htsfilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-htsfilter.git
 Homepage: https://bioconductor.org/packages/HTSFilter/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/HTSFilter.html .*/HTSFilter_(.*).tar.gz

## r-bioc-htsfilter 1.44.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: HTSFilter
 Type: Package
 Title: Filter replicated high-throughput transcriptome sequencing data
-Version: 1.42.0
+Version: 1.44.0
 Date: 2020-12-04
 Authors@R: c(
   person(given="Andrea", 
@@ -35,12 +35,13 @@
 VignetteBuilder: knitr
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/HTSFilter
-git_branch: RELEASE_3_18
-git_last_commit: ca57c53
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: a6c8002
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 21:35:16 UTC; biocbuild
+Packaged: 2024-05-01 04:12:24 UTC; biocbuild
 Author: Andrea Rau [cre, aut] (<https://orcid.org/0000-0001-6469-488X>),
   Melina Gallopin [ctb],
   Gilles Celeux [ctb],

=== debian/changelog ===
r-bioc-htsfilter (1.44.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:41:08 +0200

r-bioc-htsfilter (1.44.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 17:31:06 +0200

## r-bioc-htsfilter 1.46.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: HTSFilter
 Type: Package
 Title: Filter replicated high-throughput transcriptome sequencing data
-Version: 1.44.0
+Version: 1.46.0
 Date: 2020-12-04
 Authors@R: c(
   person(given="Andrea", 
@@ -35,13 +35,13 @@
 VignetteBuilder: knitr
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/HTSFilter
-git_branch: RELEASE_3_19
-git_last_commit: a6c8002
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 80979c3
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 04:12:24 UTC; biocbuild
+Packaged: 2024-10-30 01:10:27 UTC; biocbuild
 Author: Andrea Rau [cre, aut] (<https://orcid.org/0000-0001-6469-488X>),
   Melina Gallopin [ctb],
   Gilles Celeux [ctb],

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-htsfilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-htsfilter.git
 Homepage: https://bioconductor.org/packages/HTSFilter/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-htsfilter 1.46.0+dfsg

=== debian/changelog ===
r-bioc-htsfilter (1.46.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 15:08:20 +0100

r-bioc-htsfilter (1.46.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 12:07:35 +0100
